searchNodes=[{"ref":"ProcessStore.html","title":"ProcessStore","type":"module","doc":"A Facility to store and retrieve a data from the process dictionary."},{"ref":"ProcessStore.html#fetch/1","title":"ProcessStore.fetch/1","type":"function","doc":"Retrieve the value of key from the Process or from the $callers dictionaries. Returns the first found occurrence. Examples iex&gt; ProcessStore.fetch(:my_key) &quot;anything&quot; iex&gt; ProcessStore.fetch(:non_existing_key) nil"},{"ref":"ProcessStore.html#store/2","title":"ProcessStore.store/2","type":"function","doc":"Store the passed value in the dictionary of the current Process using the passed key. The return value of this function is the value that was previously stored under the same key, or nil in case no value was stored before. Examples iex&gt; ProcessStore.store(:my_key, anything&quot;) nil iex&gt; ProcessStore.store(:my_key, &quot;somethingelse&quot;) &quot;anything&quot;"},{"ref":"ProcessStore.html#t:data/0","title":"ProcessStore.data/0","type":"type","doc":""},{"ref":"ProcessStore.html#t:key/0","title":"ProcessStore.key/0","type":"type","doc":""},{"ref":"readme.html","title":"Process Store","type":"extras","doc":"Process Store A simple library to store and retrieve data from the process tree."},{"ref":"readme.html#installation","title":"Process Store - Installation","type":"extras","doc":"The package is available in Hex, and can be installed by adding process_store to your list of dependencies in mix.exs: def deps do [ {:process_store, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#usage","title":"Process Store - Usage","type":"extras","doc":"Store a value: iex&gt; ProcessStore.store(:my_key, &quot;my value&quot;) nil # When a key already exists, store the new value and return the previous one. iex&gt; ProcessStore.store(:my_key, &quot;a new value&quot;) &quot;my value&quot; Fetch a value: iex&gt; ProcessStore.fetch(:my_key) &quot;a new value&quot; iex&gt; ProcessStore.store(:non_existing_key) nil The stored values are available in different processes: iex&gt; ProcessStore.store(:my_key, &quot;my value&quot;) nil iex&gt; task = Task.async(fn -&gt; ProcessStore.fetch(:my_key) end) %Task{ owner: #PID&lt;0.184.0&gt;, pid: #PID&lt;0.208.0&gt;, ref: #Reference&lt;0.1292195905.2439512066.24239&gt; } iex&gt; Task.await(task) &quot;my value&quot;"},{"ref":"readme.html#full-documentation","title":"Process Store - Full documentation","type":"extras","doc":"The full documentation is available at https://hexdocs.pm/process_store."},{"ref":"readme.html#development","title":"Process Store - Development","type":"extras","doc":"Helpful make commands are available for development, like to install dependencies and run tests. To list all the make commands: make Release After merge a new feature/bug you can bump and publish it with: make release make publish"},{"ref":"readme.html#contributing","title":"Process Store - Contributing","type":"extras","doc":"See the contributing guide."},{"ref":"readme.html#license","title":"Process Store - License","type":"extras","doc":"Process Store is released under the Apache 2.0 License. See the LICENSE file."},{"ref":"readme.html#author","title":"Process Store - Author","type":"extras","doc":"FindHotel"},{"ref":"changelog.html","title":"Changelog","type":"extras","doc":"Changelog All notable changes to this project will be documented in this file. The format is based on Keep a Changelog, and this project adheres to Semantic Versioning."},{"ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras","doc":""},{"ref":"changelog.html#0-1-0-2019-11-26","title":"Changelog - 0.1.0 - 2019-11-26","type":"extras","doc":"Added Project created."}]